public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Arthur Zamarin" <arthurzam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/progress/
Date: Sun,  5 Jun 2022 16:10:26 +0000 (UTC)	[thread overview]
Message-ID: <1654445415.b0bb654726d30a20c409f32c422e131225444a03.arthurzam@gentoo> (raw)

commit:     b0bb654726d30a20c409f32c422e131225444a03
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Sun Jun  5 16:06:23 2022 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Sun Jun  5 16:10:15 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b0bb6547

dev-python/progress: Use PEP517

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 dev-python/progress/progress-1.6-r1.ebuild | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/dev-python/progress/progress-1.6-r1.ebuild b/dev-python/progress/progress-1.6-r1.ebuild
new file mode 100644
index 000000000000..05156da2a429
--- /dev/null
+++ b/dev-python/progress/progress-1.6-r1.ebuild
@@ -0,0 +1,21 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} pypy3 )
+inherit distutils-r1
+
+DESCRIPTION="Easy to use progress bars"
+HOMEPAGE="https://pypi.org/project/progress/
+	https://github.com/verigak/progress/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="ISC"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+python_test() {
+	"${EPYTHON}" test_progress.py || die "Tests fail with ${EPYTHON}"
+}


             reply	other threads:[~2022-06-05 16:10 UTC|newest]

Thread overview: 42+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-06-05 16:10 Arthur Zamarin [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-05-18  6:58 [gentoo-commits] repo/gentoo:master commit in: dev-python/progress/ Michał Górny
2024-05-18  6:58 Michał Górny
2023-11-24 15:29 Michał Górny
2023-06-01 13:40 Michał Górny
2022-07-10 19:09 Michał Górny
2022-07-10 16:58 Sam James
2021-08-30  5:54 Michał Górny
2021-08-30  1:23 Sam James
2021-07-29  5:51 Michał Górny
2020-11-15  7:54 Michał Górny
2020-11-15  5:25 Sam James
2020-10-10  6:19 Michał Górny
2020-03-28 12:42 Michał Górny
2020-03-28 12:42 Michał Górny
2020-03-28 12:42 Michał Górny
2020-03-07 11:06 Agostino Sarubbo
2020-03-07 11:03 Agostino Sarubbo
2020-03-07 10:58 Agostino Sarubbo
2020-03-07 10:54 Agostino Sarubbo
2020-03-07 10:50 Agostino Sarubbo
2020-03-07  9:44 Agostino Sarubbo
2020-03-07  8:59 Agostino Sarubbo
2020-02-05 19:12 Michał Górny
2019-12-08 15:02 Joonas Niilola
2017-05-26 22:37 Patrice Clement
2015-11-23  6:44 Jeroen Roovers
2015-11-22 19:24 Markus Meier
2015-11-19 10:25 Agostino Sarubbo
2015-11-16 15:01 Agostino Sarubbo
2015-11-05 11:52 Agostino Sarubbo
2015-11-04 16:09 Agostino Sarubbo
2015-11-04 15:50 Agostino Sarubbo
2015-11-02 13:12 Agostino Sarubbo
2015-11-02 13:09 Agostino Sarubbo
2015-10-11 11:25 Justin Lecher
2015-10-10 18:49 Mikle Kolyada
2015-09-29 20:51 Markus Meier
2015-09-22 17:36 Tobias Klausmann
2015-09-08  8:16 Joshua Kinard
2015-09-06  5:20 Jeroen Roovers
2015-08-24 10:12 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1654445415.b0bb654726d30a20c409f32c422e131225444a03.arthurzam@gentoo \
    --to=arthurzam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox